Bug 584518 - [RFE] Too many logs visible by default
Summary: [RFE] Too many logs visible by default
Status: NEW
Alias: None
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: UX
Keywords: FutureFeature, Triaged
Depends On:
Blocks: 593663
TreeView+ depends on / blocked
 
Reported: 2010-04-21 19:14 UTC by Zack Cerza
Modified: 2018-11-09 23:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2010-04-21 19:14:36 UTC
When I look at the results of a Beaker job, there's a lot of what I'm
going to insensitively call "noise". 

Take, for example, one of my wireless tests. Each one has its own
TESTOUT.log, and also submits a snippet of /var/log/wpa_supplicant.log.
So, probably not even one of the "quietest" tests out there. Yet that
test has the following logs in Beaker:

/.task_beah_raw
/wpa_supplicant.log
/TESTOUT.log
/task_beah_unexpected
/task_output_stderr
/task_log
/task_output_stdout

And then under a separate "./" subtest:

l5-kernel-wireless-connection-to-WPA2-PEAP-AP-.log
l5-kernel-wireless-connection-to-WPA2-PEAP-AP-.log

Unfortunately, the visible names of these logs are truncated, and
identical. Anyway, maybe we could hide the 7/9 of those logs per test
that might not be very interesting to the end user?

Comment 1 Bill Peck 2010-04-29 19:01:43 UTC
Marian,

Could you upload the beah debug logs into a subdirectory?  pre-pend them with debug/

That way they will end up in a sub-diretory.  I'll modify the UI to only show the dir, that way they are there for debugging but won't confuse others.

Comment 3 David Kovalsky 2010-08-10 15:41:02 UTC
Marian, shouldn't the bug be modified if the patch is commited? What's the deployment schedule?

Comment 4 Marian Csontos 2010-08-10 16:48:26 UTC
It's half-patch only. WebUI support is in the queue - thus New.

Comment 5 David Kovalsky 2010-11-18 16:23:43 UTC
WebUI support, low bug, scheduled for 0.6 - this isn't really a blocker for RHTS decomission. 

Moving to HotBeakerBugs tracker instead.

Comment 6 Petr Šplíchal 2011-12-06 08:38:02 UTC
Year passed. Any update with this issue?


Note You need to log in before you can comment on or make changes to this bug.